Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514199 - Installing 3.6 with metrics, using dynamic storage, fails to provision the storage
Summary: Installing 3.6 with metrics, using dynamic storage, fails to provision the st...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.9.0
Assignee: Scott Dodson
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 19:19 UTC by Eric Jones
Modified: 2018-06-18 18:27 UTC (History)
6 users (show)

Fixed In Version: openshift v3.9.0-0.23.0
Doc Type: Bug Fix
Doc Text:
The 3.9 installer has been updated to provision a default storage class on openstack environments which eases installation of metrics, logging, and other components which make use of dynamic volumes.
Clone Of:
Environment:
Last Closed: 2018-06-18 14:37:57 UTC


Attachments (Terms of Use)

Description Eric Jones 2017-11-16 19:19:34 UTC
Description of problem:
Persistent Hawkular metrics fail to provision during openshift-ansible deployment of 3.6 (openshift-ansible installed from rhel-7-server-ose-3.6-rpms (version 3.6.173.0.48-1.git.0.1609d30.el7)). This is on an environment which uses dynamic persistent volumes from Cinder (OpenStack). 

After some digging, it was determined that the ansible playbook for installing cassandra is missing a line that should request the storage.

Customer even helped Identify the exact line within the playbook:

Playbook WITH line [0] and playbook WITHOUT line [1].

[0] https://github.com/openshift/openshift-ansible/blob/80d141b5d60da9afbd3c02350933c090d1839c46/roles/openshift_metrics/tasks/install_cassandra.yaml#L56-L58
[1] https://github.com/openshift/openshift-ansible/blob/release-3.6/roles/openshift_metrics/tasks/install_cassandra.yaml#L56-L57

Additional info:
Unclear, but this might be related to bz: https://bugzilla.redhat.com/show_bug.cgi?id=1486043

Comment 2 Junqi Zhao 2017-12-05 03:09:43 UTC
@Eric,

It is not a metrics defect.
If you want to deploy metrics 3.6 in openstack with dynamic pv, you should create storageclass first,  for OCP 3.6 it won't create storageclass automatically. OCP 3.7 fixed this issue.

you can use the following command to check if your openstack has storageclass or not.
# oc get storageclass

you can save the following as one file, and use `oc create -f $<FILE_NAME>` to create storageclass and deploy metrics again
******************************************************************
apiVersion: storage.k8s.io/v1beta1
kind: StorageClass
metadata:
  name: standard
  annotations:
          storageclass.kubernetes.io/is-default-class: "true"   
provisioner: kubernetes.io/cinder
parameters:
  availability: nova
******************************************************************

Comment 3 Scott Dodson 2018-01-24 15:09:17 UTC
3.9 now creates a default storage class for openstack installs. ON_QA

Comment 4 Junqi Zhao 2018-01-25 00:49:14 UTC
3.9 now creates a default storage class for openstack installs and it is succeeded to deploy metrics with dynamic pv.

# openshift version
openshift v3.9.0-0.23.0
kubernetes v1.9.1+a0ce1bc657
etcd 3.2.8

# oc get po
NAME                         READY     STATUS    RESTARTS   AGE
hawkular-cassandra-1-hkpsk   1/1       Running   0          11m
hawkular-metrics-v8f4w       1/1       Running   0          11m
heapster-nr8fj               1/1       Running   0          11m
# oc get pv
NAME                                       CAPACITY   ACCESS MODES   RECLAIM POLICY   STATUS    CLAIM                                   STORAGECLASS   REASON    AGE
pvc-f4b991cf-0166-11e8-a801-fa163e06abe4   10Gi       RWO            Delete           Bound     openshift-infra/metrics-1               standard                 11m
# oc get pvc
NAME        STATUS    VOLUME                                     CAPACITY   ACCESS MODES   STORAGECLASS   AGE
metrics-1   Bound     pvc-f4b991cf-0166-11e8-a801-fa163e06abe4   10Gi       RWO            standard       11m
# oc get sc
NAME                 PROVISIONER            AGE
standard (default)   kubernetes.io/cinder   16m


Note You need to log in before you can comment on or make changes to this bug.